We currently support:

Please ensure that you have installed at least one of our supported browsers and that you have updated it to its latest version  in order to run our simulations.

Please note that in some rare instances, the current latest version of Firefox v.62 may cause some of our simulations to malfunction. If you experience issues with Firefox, please try and use another browser.

Did this answer your question?